YUI AS Component Documentation |
Class TriangleSkin

Package | com.yahoo.astra.fl.charts.skins
Class | public class TriangleSkin
Inheritance | TriangleSkin fl.core.UIComponent
Implements | IProgrammaticSkin

A skin shaped like a triangle with customizable color and alpha properties for its fill and border.

Public Properties

| Property | Defined by
--- | --- | ---
|  | borderAlpha : Number The alpha value of the border. | TriangleSkin
|  | borderColor : uint The color used for the outline of the skin | TriangleSkin
|  | fillAlpha : Number The alpha value of the fill. | TriangleSkin
|  | fillColor : uint The color used to draw the skin. | TriangleSkin

Public Methods

| Method | Defined by
--- | --- | ---
|  | TriangleSkin() Constructor. | TriangleSkin

Property detail

borderAlpha | property

`borderAlpha:Number` [read-write]

The alpha value of the border.

Implementation
`public function get borderAlpha():Number`
`public function set borderAlpha(value:Number):void`

borderColor | property |

`borderColor:uint` [read-write]

The color used for the outline of the skin

Implementation
`public function get borderColor():uint`
`public function set borderColor(value:uint):void`

fillAlpha | property |

`fillAlpha:Number` [read-write]

The alpha value of the fill.

Implementation
`public function get fillAlpha():Number`
`public function set fillAlpha(value:Number):void`

fillColor | property |

`fillColor:uint` [read-write]

The color used to draw the skin.

Implementation
`public function get fillColor():uint`
`public function set fillColor(value:uint):void`
Constructor detail

TriangleSkin | () | constructor

`public function TriangleSkin()`

Constructor.